Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
BuildRequires: python-module-objects.inv python-test
%define oldname python-rosinstall
%global realname rosinstall
%global gitrev 6d482b2
Name:           python-module-rosinstall
Version:        0.6.26
Release:        alt1_1.20130318git6d482b2
Summary:        ROS installation utilities

License:        BSD
URL:            http://www.ros.org/wiki/rosinstall
BuildArch:      noarch
#wget --content-disposition https://github.com/vcstools/rosinstall/tarball/0.6.26
Source0:        vcstools-%{realname}-%{version}-0-g%{gitrev}.tar.gz

BuildRequires:  python-devel
BuildRequires:  python-module-distribute
BuildRequires:  python-module-sphinx
Source44: import.info

%description
rosinstall is a tool to check out ROS source code (or any source code, really)
from multiple version control repositories and updating these checkouts. Given 
a *.rosinstall file that specifies where to get code, rosinstall will check 
out a working copy for you. 


%prep
%setup -q -n vcstools-%{realname}-%{gitrev}


%build
%{__python} setup.py build
pushd doc
make html
make man
popd

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 0644 doc/_build/man/%{realname}.1 $RPM_BUILD_ROOT%{_mandir}/man1/
rm -rf doc/_build/html/.buildinfo

%files
%doc doc/_build/html LICENSE README.rst
%{_bindir}/*
%{python_sitelibdir_noarch}/%{realname}
%{python_sitelibdir_noarch}/%{realname}-%{version}-py?.?.egg-info
%{_mandir}/man1/%{realname}.1*

%changelog
* Thu Mar 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.26-alt1_1.20130318git6d482b2
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.22-alt1_2
- update to new release by fcimport

* Mon Feb 18 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.22-alt1_1
- update to new release by fcimport

* Fri Jan 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.20-alt1_1
- initial fc import

